<?php
    @session_start();

    //
	// includes
	//
    require_once 'connectdb.php';

    if ( !dynpg_getRightsToUser(C_RIGHTS_GIVERIGHT) ) {
        exit;
    }

	if(empty($_SESSION["LANGUAGE"])){ $_SESSION["LANGUAGE"]='de'; }
	require_once 'languages.inc.php';

	if (! function_exists('getDepth')) { function getDepth($_grp_id = null) {
    	if ($_grp_id == null) {
    		return 0;
    	}

    	// CASE #1: NULL [>id<] NULL

			// remark: only one dataset of this type can exist
			// 		   -> represents case of "root elements without successors"

			$id   = null;
			$db_w = "`root_id_fk` IS NULL AND `element_id_fk` = '".mysql_real_escape_string($_grp_id)."' AND `successor_id_fk` IS NULL";
			$db__ = mysql_query("SELECT DISTINCT A.*, B.* FROM `dynpg_cms_imagegroup_treestruct` AS A INNER JOIN `dynpg_cms_imagegroups` AS B ON A.`element_id_fk` = B.`id` WHERE {$db_w}");
			if (mysql_num_rows($db__) > 0) {
				return 1;
			}

		// CASE #2: NULL [>id<] [id]

			// remark: a free number of entries of this type can exist
			//		   -> represents case of "root elements"

			$id   = null;
			$db_w = "`root_id_fk` IS NULL AND `element_id_fk` = '".mysql_real_escape_string($_grp_id)."' AND `successor_id_fk` IS NOT NULL";
			$db__ = mysql_query("SELECT DISTINCT A.*, B.* FROM `dynpg_cms_imagegroup_treestruct` AS A INNER JOIN `dynpg_cms_imagegroups` AS B ON A.`element_id_fk` = B.`id` WHERE {$db_w}");
			if (mysql_num_rows($db__) > 0) {
				return 1;
			}

		// CASE #3: [id] [>id<] [id]

			// remark: a free number of entries of this type can exist
			//		   -> represents case of "non-root elements"

			$id   = null;
			$db_w = "`root_id_fk` IS NOT NULL AND `element_id_fk` = '".mysql_real_escape_string($_grp_id)."' AND `successor_id_fk` IS NOT NULL";
			$db__ = mysql_query("SELECT DISTINCT A.*, B.* FROM `dynpg_cms_imagegroup_treestruct` AS A INNER JOIN `dynpg_cms_imagegroups` AS B ON A.`element_id_fk` = B.`id` WHERE {$db_w}");
			if (mysql_num_rows($db__) > 0) {
				$db_r = mysql_fetch_assoc($db__);
				return 1 + getDepth($db_r['root_id_fk']);
			}

		// CASE #4: [id] [id] [>id<]

			// remark: only one dataset of this type can exist

			$db_w = "`root_id_fk` IS NOT NULL AND `element_id_fk` IS NOT NULL  AND `successor_id_fk` = '".mysql_real_escape_string($_grp_id)."'";
			$db__ = mysql_query("SELECT DISTINCT A.*, B.* FROM `dynpg_cms_imagegroup_treestruct` AS A INNER JOIN `dynpg_cms_imagegroups` AS B ON A.`successor_id_fk` = B.`id` WHERE {$db_w}");
			if (mysql_num_rows($db__) > 0) {
				$db_r = mysql_fetch_assoc($db__);
				return 1 + getDepth($db_r['element_id_fk']);
			}

		// CASE #5: NULL [id] [>id<]

			// remark: only one dataset of this type can exist

			$db_w = "`root_id_fk` IS NULL AND `element_id_fk` IS NOT NULL AND `successor_id_fk` = '".mysql_real_escape_string($_grp_id)."'";
			$db__ = mysql_query("SELECT DISTINCT A.*, B.* FROM `dynpg_cms_imagegroup_treestruct` AS A INNER JOIN `dynpg_cms_imagegroups` AS B ON A.`successor_id_fk` = B.`id` WHERE {$db_w}");
			if (mysql_num_rows($db__) > 0) {
				return 2;
			}

		return 0;
    }}

	if (! function_exists('list_Successors')) { function list_Successors(&$_output, $_group_id, $_depth = 0, $_order_by = null, $_sort = null) {
        if ( $_depth ) {
            $select  = "A.`element_id_fk` = '".mysql_real_escape_string($_group_id)."'";
            $element = "successor_id_fk";
        } else {
            $select  = "A.`root_id_fk` IS NULL GROUP BY A.`element_id_fk`";
            $element = "element_id_fk";
        }

        $__result = mysql_query("SELECT DISTINCT
                                    A.*,

                                    B.*,

                                    (C.`successor_id_fk` IS NOT NULL) AS `hasSuccessors`

                                 FROM
                                    (`dynpg_cms_imagegroup_treestruct` AS A

                                        INNER JOIN `dynpg_cms_imagegroups` AS B

                                        ON A.`$element` = B.`id`)

                                        LEFT JOIN `dynpg_cms_imagegroup_treestruct` AS C

										ON A.`successor_id_fk` = C.`element_id_fk`

                                 WHERE
                                    $select

                                 ORDER BY
                                    ". implode(', ' , array_map(create_function('$a, $b', 'return "B.`".mysql_real_escape_string(str_replace(\'`\', \'\', $a))."` ".((strtoupper($b) == \'ASC\')?\'ASC\':\'DESC\')."";') , $_order_by, $_sort)) );

        while ( $__row = mysql_fetch_array($__result, MYSQL_ASSOC) ) {
            // deduce the next element
				$next = ( $_depth > 0 )? $__row['successor_id_fk']: $__row['element_id_fk'];

            // deduce if group has successors
				if ( !is_null($__row['successor_id_fk']) ) {
					$hasSuccessors = !$_depth || $__row['hasSuccessors'] == 1;
                } else {
                    $hasSuccessors = false;
                }

            // add group to tree
				$_output[] = Array($__row, $_depth, $hasSuccessors);

            // add recursively subtree
				if ($hasSuccessors) {
                    list_Successors($_output, $next, $_depth + 1, $_order_by, $_sort);
                }
        }
    }}

    // echo '<pre>';
    // print_r($_POST);
    // echo '</pre>';

    if ( !empty($_POST['saveRights']) ) {

        $checked = 0;

        if ( empty($_POST['giveRights_admin_create']) ) {
            $_POST['giveRights_admin_create'] = 'FALSE';
        } else {
            $_POST['giveRights_admin_create'] = 'TRUE';
        }

        if ( empty($_POST['giveRights_admin_delete']) ) {
            $_POST['giveRights_admin_delete'] = 'FALSE';
        } else {
            $_POST['giveRights_admin_delete'] = 'TRUE';
        }

        if ( empty($_POST['giveRights_admin_change']) ) {
            $_POST['giveRights_admin_change'] = 'FALSE';
        } else {
            $_POST['giveRights_admin_change'] = 'TRUE';
        }

        mysql_query("DELETE FROM `dynpg_cms_images_rights` WHERE `USERID` = '".mysql_real_escape_string($_POST['giveRights_UserId'])."' AND `PARENT` = 'ADMIN' AND `SECTION` IS NULL");
        mysql_query("INSERT INTO `dynpg_cms_images_rights`(`USERID`, `PARENT`, `SECTION`, `CREATE`, `DELETE`, `CHANGE`)
                     VALUES ('".mysql_real_escape_string($_POST['giveRights_UserId'])."', 'ADMIN', NULL, '$_POST[giveRights_admin_create]', '$_POST[giveRights_admin_delete]', '$_POST[giveRights_admin_change]');");

        if ( !empty($_POST['giveRights_GroupId']) ) {
            if ( empty($_POST['giveRights_group_create']) ) {
                $_POST['giveRights_group_create'] = 'FALSE';
            } else {
                $_POST['giveRights_group_create'] = 'TRUE';
            }

            if ( empty($_POST['giveRights_group_delete']) ) {
                $_POST['giveRights_group_delete'] = 'FALSE';
            } else {
                $_POST['giveRights_group_delete'] = 'TRUE';
            }

            if ( empty($_POST['giveRights_group_change']) ) {
                $_POST['giveRights_group_change'] = 'FALSE';
            } else {
                $_POST['giveRights_group_change'] = 'TRUE';
            }

            $depth = getDepth($_POST['giveRights_GroupId']) - 1;
			list_Successors($successors, $_POST['giveRights_GroupId'], $depth, Array('id'), Array('ASC'));

            mysql_query("DELETE FROM `dynpg_cms_images_rights` WHERE `USERID` = '".mysql_real_escape_string($_POST['giveRights_UserId'])."' AND `PARENT` = 'GROUP' AND `SECTION` = '".mysql_real_escape_string($_POST['giveRights_GroupId'])."'");
            mysql_query("INSERT INTO `dynpg_cms_images_rights`(`USERID`, `PARENT`, `SECTION`, `CREATE`, `DELETE`, `CHANGE`)
                         VALUES ('".mysql_real_escape_string($_POST['giveRights_UserId'])."', 'GROUP', '".mysql_real_escape_string($_POST['giveRights_GroupId'])."', '$_POST[giveRights_group_create]', '$_POST[giveRights_group_delete]', '$_POST[giveRights_group_change]');");

			if (is_array($successors) && isset($_POST['giveRights_group_subgroups'])) {
				foreach ($successors as $group) {
					if ($group[1] > $depth) {
						mysql_query("DELETE FROM `dynpg_cms_images_rights` WHERE `USERID` = '".mysql_real_escape_string($_POST['giveRights_UserId'])."' AND `PARENT` = 'GROUP' AND `SECTION` = '".mysql_real_escape_string($group[0]['id'])."'");
			            mysql_query("INSERT INTO `dynpg_cms_images_rights`(`USERID`, `PARENT`, `SECTION`, `CREATE`, `DELETE`, `CHANGE`)
			                         VALUES ('".mysql_real_escape_string($_POST['giveRights_UserId'])."', 'GROUP', '".mysql_real_escape_string($group[0]['id'])."', '$_POST[giveRights_group_create]', '$_POST[giveRights_group_delete]', '$_POST[giveRights_group_change]');");
			        }
				}
			}
        }

        $checked += 6;

        $idx = 0;

        foreach ( $_POST as $key => $value ) {
            $idx++;

            if ( $idx <= $checked ) {
                continue;
            }

            if ( $key == 'giveRights_UserId' ) {
                break;
            }

            if ( empty($current['alias']) ) {
                $current['alias'] = $value;
                $current['count'] = 0;
            }

            if ( !empty($current['alias']) && $current['count'] == 3 ) {
                $current['alias'] = $value;
                $current['count'] = 0;
            }

            $current['count']++;

            if ( $current['count'] == 1 ) {

                if ( empty($_POST['giveRights_article_delete_'.$current['alias']]) ) {
                    $_POST['giveRights_article_delete_'.$current['alias']] = 'FALSE';
                } else {
                    $_POST['giveRights_article_delete_'.$current['alias']] = 'TRUE';
                }

                if ( empty($_POST['giveRights_article_change_'.$current['alias']]) ) {
                    $_POST['giveRights_article_change_'.$current['alias']] = 'FALSE';
                } else {
                    $_POST['giveRights_article_change_'.$current['alias']] = 'TRUE';
                }

                mysql_query("DELETE FROM `dynpg_cms_images_rights` WHERE `USERID` = '".mysql_real_escape_string($_POST['giveRights_UserId'])."' AND `PARENT` = 'ARTICLE' AND `SECTION` = '".mysql_real_escape_string($current['alias'])."'");

                if ( Array($_POST['giveRights_article_change_'.$current['alias']], $_POST['giveRights_article_delete_'.$current['alias']]) != Array('FALSE', 'FALSE') ) {
                    mysql_query("INSERT INTO `dynpg_cms_images_rights`(`USERID`, `PARENT`, `SECTION`, `CREATE`, `DELETE`, `CHANGE`)
                                 VALUES ('".mysql_real_escape_string($_POST['giveRights_UserId'])."', 'ARTICLE', '".mysql_real_escape_string($current['alias'])."', 'FALSE', '".$_POST['giveRights_article_delete_'.$current['alias']]."', '".$_POST['giveRights_article_change_'.$current['alias']]."');");
                }
            }
        }

    }

    if ( !isset($_GET['xUser']) ) {
        $_GET['xUser'] = '';
    }

    if ( !isset($_GET['xGrp']) ) {
        $_GET['xGrp'] = '';
    }

    global $CURRENT__GET_USER;
    if ( !empty($_GET['xUser']) ) {
        $GLOBALS['CURRENT__GET_USER'] = mysql_fetch_array(mysql_query("SELECT * FROM `dynpg_cms_user` WHERE `id` = '".mysql_real_escape_string($_GET['xUser'])."'"), MYSQL_ASSOC);
        $offset = mysql_fetch_array(mysql_query("SELECT * FROM `dynpg_cms_images_rights` WHERE `PARENT` = 'ADMIN' AND `USERID` = '".mysql_real_escape_string($_GET['xUser'])."' "), MYSQL_ASSOC);
        if ( !empty($offset['CREATE']) ) {
            $GLOBALS['CURRENT__GET_USER']['CREATE'] = $offset['CREATE'];
            $GLOBALS['CURRENT__GET_USER']['CHANGE'] = $offset['CHANGE'];
            $GLOBALS['CURRENT__GET_USER']['DELETE'] = $offset['DELETE'];
        } else {
            $GLOBALS['CURRENT__GET_USER']['CREATE'] = 'FALSE';
            $GLOBALS['CURRENT__GET_USER']['CHANGE'] = 'FALSE';
            $GLOBALS['CURRENT__GET_USER']['DELETE'] = 'FALSE';
        }
    } else {
        $GLOBALS['CURRENT__GET_USER']['GIVERIGHT']      = 'FALSE';
        $GLOBALS['CURRENT__GET_USER']['ADMINISTRATIVE'] = 'FALSE';
        $GLOBALS['CURRENT__GET_USER']['AUTARKIC']       = 'FALSE';
        $GLOBALS['CURRENT__GET_USER']['DOVOTES']        = 'FALSE';
        $GLOBALS['CURRENT__GET_USER']['DOGUESTBOOK']    = 'FALSE';
        $GLOBALS['CURRENT__GET_USER']['DOBASKET']       = 'FALSE';
        $GLOBALS['CURRENT__GET_USER']['DOFORUM']        = 'FALSE';
        $GLOBALS['CURRENT__GET_USER']['DOSTATISTICS']   = 'FALSE';
        $GLOBALS['CURRENT__GET_USER']['CREATE']         = 'FALSE';
        $GLOBALS['CURRENT__GET_USER']['CHANGE']         = 'FALSE';
        $GLOBALS['CURRENT__GET_USER']['DELETE']         = 'FALSE';
    }

    global $CURRENT__GET_GROUP;
    global $CURRENT__GET_RIGHTS;
    if ( !empty($_GET['xGrp']) ) {
        $GLOBALS['CURRENT__GET_GROUP'] = mysql_fetch_array(mysql_query("SELECT * FROM `dynpg_cms_imagegroups` WHERE `id` = '".mysql_real_escape_string($_GET['xGrp'])."'"), MYSQL_ASSOC);

        if ( !empty($_GET['xUser']) ) {
            $GLOBALS['CURRENT__GET_RIGHTS'] = mysql_fetch_array(mysql_query("SELECT * FROM `dynpg_cms_images_rights` WHERE `PARENT` = 'GROUP' AND `SECTION` = '".mysql_real_escape_string($_GET['xGrp'])."' AND `USERID` = '".mysql_real_escape_string($_GET['xUser'])."'"), MYSQL_ASSOC);
        }
    } else {
        $GLOBALS['CURRENT__GET_GROUP']['NAME']       = '<i>'.$GLOBALS["lang_dpg"]->str["lang_rights_none"].'</i>';
        $GLOBALS['CURRENT__GET_GROUP']['SHORTTEXT']  = '';
    }
?>

<script language="javascript" type="text/javascript">
<!--
	function showHtmlThing(elementsArray)
	{
		for ( var i = 0; i< elementsArray.length; ++i )
		{
			if ( document.getElementById(elementsArray[i]).style.display == 'block' ) {
				document.getElementById(elementsArray[i]).style.display = 'none';
			} else {
				document.getElementById(elementsArray[i]).style.display = 'block';
			}
		}
	}

	function loadOrUnloadImage(image, showSrc)
	{
		if ( document.getElementById(image).src.search(showSrc) > 0 ) {
			document.getElementById(image).src = 'pictures/checkbox.gif';
			document.getElementById(image.replace(/\_i/, '')).value = '';
		} else {
			document.getElementById(image).src = 'pictures/' + showSrc;
			document.getElementById(image.replace(/\_i/, '')).value = 'checked';
		}
	}

	function doSelect(what)
	{
		for ( var i = 1; i <= document.getElementById('giveRights_Positions').value; ++i ) {

			if ( what == 'all' || what == 'delete' ) {
				var imgNameDelete = 'giveRights_article_delete_i_' + document.getElementById('giveRights_article_alias_' + i).value;
				loadOrUnloadImage(imgNameDelete, 'imgbtn_delete.gif');
			}

			if ( what == 'all' || what == 'change' ) {
				var imgNameChange = 'giveRights_article_change_i_' + document.getElementById('giveRights_article_alias_' + i).value;
				loadOrUnloadImage(imgNameChange, 'imgbtn_edit.gif');
			}
		}
	}
//--->
</script>

<h3><?php echo $GLOBALS["lang_dpg"]->str["lang_rights_title_2"]; ?></h3>

<table border="0" cellpadding="2" cellspacing="0" width="100%" class="InnerWebSiteTable">
	<tr>
		<td valign="top" align="left" bgcolor="<?php echo C_WEBSITE_MAINBACKGROUND ?>">
			<a href="javascript:showHtmlThing(Array('divElUser'));"><img src="pictures/bog_stock_contract.gif" alt="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_expand"]; ?>" border="0" title="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_showUser"]; ?>" /></a>
			<b><?php echo $GLOBALS["lang_dpg"]->str["lang_rights_ask_1"]; ?></b>
			<form action="" method="post" name="placeholderForm">
			<div style="margin : 10px; display:block;" id="divElUser">
				<select size="1" name="giveRights_userid" style="width:450px; font-weight: bold;" class="TextFieldStyleWhite" onChange="self.location.href='<?php echo $_SERVER['PHP_SELF']; ?>?xUser='+this.form.giveRights_userid.options[this.form.giveRights_userid.options.selectedIndex].value + '&amp;<?php echo dynpg_htmlentities_rigid(preg_replace('/xUser=(\w+)/', '', $_SERVER['QUERY_STRING'] ),ENT_COMPAT,true); ?>'">
					<?php
                        $mysql_result = mysql_query("SELECT * FROM `dynpg_cms_user` WHERE `INTERN` = 'FALSE' ORDER BY `NAME` ASC");

                        while ( $mysql_row = mysql_fetch_array($mysql_result, MYSQL_ASSOC) ) {
                            if ( empty($_GET['xUser']) ) {
                                $_GET['xUser'] = $mysql_row['id'];
                                $GLOBALS['CURRENT__GET_USER'] = mysql_fetch_array(mysql_query("SELECT * FROM `dynpg_cms_user` WHERE `id` = '".mysql_real_escape_string($_GET['xUser'])."'"), MYSQL_ASSOC);

                                $offset = mysql_fetch_array(mysql_query("SELECT * FROM `dynpg_cms_images_rights` WHERE `PARENT` = 'ADMIN' AND `USERID` = '".mysql_real_escape_string($_GET['xUser'])."' "), MYSQL_ASSOC);
                                if ( !empty($offset['CREATE']) ) {
                                    $GLOBALS['CURRENT__GET_USER']['CREATE'] = $offset['CREATE'];
                                    $GLOBALS['CURRENT__GET_USER']['CHANGE'] = $offset['CHANGE'];
                                    $GLOBALS['CURRENT__GET_USER']['DELETE'] = $offset['DELETE'];
                                } else {
                                    $GLOBALS['CURRENT__GET_USER']['CREATE'] = 'FALSE';
                                    $GLOBALS['CURRENT__GET_USER']['CHANGE'] = 'FALSE';
                                    $GLOBALS['CURRENT__GET_USER']['DELETE'] = 'FALSE';
                                }


                                if ( !empty($_GET['xGrp']) ) {
                                    $GLOBALS['CURRENT__GET_RIGHTS'] = mysql_fetch_array(mysql_query("SELECT * FROM `dynpg_cms_images_rights` WHERE `PARENT` = 'GROUP' AND `SECTION` = '".mysql_real_escape_string($_GET['xGrp'])."' AND `USERID` = '".mysql_real_escape_string($_GET['xUser'])."'"), MYSQL_ASSOC);
                                }
                            }
                            echo '<option value="'.$mysql_row['id'].'"';

                            if ( $_GET['xUser'] == $mysql_row['id'] ) {
                                echo ' selected="selected"';
                            }

                            echo '>'.dynpg_htmlentities_rigid(($mysql_row['NAME']),ENT_COMPAT,true).'</option>';
                        }
                    ?>
				</select>
			</div>
			</form>
		</td>
	</tr>
</table>
	<p style="margin : 3px;"></p>
<table border="0" cellpadding="2" cellspacing="0" width="100%" class="InnerWebSiteTable">
	<tr>
		<td valign="top" align="left" bgcolor="<?php echo C_WEBSITE_MAINBACKGROUND ?>">
			<a href="javascript:showHtmlThing(Array('divElGrpSel'));"><img src="pictures/bog_stock_contract.gif" alt="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_expand"]; ?>" border="0" title="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_showGroups"]; ?>" /></a>
			<b><?php echo $GLOBALS["lang_dpg"]->str["lang_rights_ask_2"]; ?></b>
			<div id="divElGrpSel" style="margin : 10px; display: <?php print empty($_GET['xUser'])? 'none': 'block' ?>;">
            <form action="" method="post" name="placeholderForm">
				<select size="1" name="giveRights_section" style="width:450px;" class="TextFieldStyleWhite" onChange="self.location.href='<?php echo $_SERVER['PHP_SELF']; ?>?<?php echo dynpg_htmlentities_rigid(preg_replace('/&xGrp=(\w+)/', '', $_SERVER['QUERY_STRING'] ),ENT_COMPAT,true); ?>&amp;xGrp='+this.form.giveRights_section.options[this.form.giveRights_section.options.selectedIndex].value">
					<option value="NULL"><?php echo $GLOBALS["lang_dpg"]->str["lang_rights_noGroup"]; ?></option>

                    <?php
						$mysql_result = mysql_query("SELECT DISTINCT
                                                        A.*,
                                                        B.*
                                                     FROM
                                                        `dynpg_cms_imagegroup_treestruct` AS A
                                                        INNER JOIN `dynpg_cms_imagegroups` AS B
                                                        ON A.`element_id_fk` = B.`id`
                                                     WHERE
                                                        A.`root_id_fk` IS NULL
                                                     GROUP BY
                                                        A.`element_id_fk`
                                                     ORDER BY
                                                        B.`NAME` ASC");

                        $GLOBALS['__HTML_OUT_ROW'] = '<option value="%ID%" selected="selected">%SYMB% %NAME%</option>';

                        while ( $mysql_row = mysql_fetch_array($mysql_result, MYSQL_ASSOC) ) {
                            $_ouput = $GLOBALS['__HTML_OUT_ROW'];

                            if ( !is_null($mysql_row['successor_id_fk']) ) {
                                $__grp_has_Successors = TRUE;
                            } else {
                                $__grp_has_Successors = FALSE;
                            }

                            if ( $__grp_has_Successors ) {
                                $_ouput = str_replace('%SYMB%', '', $_ouput);
                            } else {
                                $_ouput = str_replace('%SYMB%', '', $_ouput);
                            }

                            foreach ( $mysql_row as $key => $value ) {
                                $value = dynpg_htmlentities_rigid($value,ENT_COMPAT,true);

                                $_ouput = str_replace('%'.strtoupper($key).'%', $value, $_ouput);
                            }

                            if ( $_GET['xGrp'] != $mysql_row['successor_id_fk'] && $_GET['xGrp'] != $mysql_row['element_id_fk']) {
                                $_ouput = str_replace(' selected="selected"', '', $_ouput);
                            }

                            if (empty($_GET['xGrp'])) {
                            	$_ouput = str_replace(' selected="selected"', '', $_ouput);
                            }

                            echo $_ouput;

                            if ( !is_null($mysql_row['element_id_fk']) ) {
                                dnypg_interna_List_Successors_img($mysql_row['element_id_fk'], 1, $GLOBALS['__HTML_OUT_ROW'], 'NAME', 'ASC', FALSE, $_GET['xGrp'], FALSE);
                            }
                        }
					?>

				</select>
			</form>
            </div>
		</td>
	</tr>
</table>
	<p style="margin : 3px;"></p>

<form action="<?php print $_SERVER['PHP_SELF'] . '?' . getenv('QUERY_STRING'); ?>" method="post" name="giveRights_set">
    <table border="0" cellpadding="2" cellspacing="0" width="100%" class="InnerWebSiteTable">
    	<tr>
    		<td valign="top" align="left" bgcolor="<?php echo C_WEBSITE_MAINBACKGROUND ?>">
    			<a href="javascript:showHtmlThing(Array('tblEl03'));"><img src="pictures/bog_stock_contract.gif" alt="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_expand"]; ?>" border="0" title="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_showRights3"]; ?>" /></a>
    			<b><?php echo $GLOBALS["lang_dpg"]->str["lang_rights_ask_3"]; ?></b>
    			<div align="center">
    			<table id="tblEl03" border="0" cellpadding="5" cellspacing="0" width="100%" style="display:none;" class="InnerWebSiteTable">
    				<tr>
    					<th width="100%" align="left" valign="middle" class="seperated">
    						<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_rightAdmin_img"]; ?>
    					</th>
    					<th width="25" align="center" valign="middle" class="seperated">
    						<img id="giveRights_admin_create_i" src="<?php echo $GLOBALS['CURRENT__GET_USER']['CREATE']=='TRUE' ? 'pictures/imgbtn_create.gif' : 'pictures/checkbox.gif'; ?>" alt="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_create"]; ?>" title="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_Img_a_create_img"]; ?>" onClick="javascript:loadOrUnloadImage('giveRights_admin_create_i', 'imgbtn_create.gif');" />
    						<input type="hidden" id="giveRights_admin_create" name="giveRights_admin_create" value="<?php echo $GLOBALS['CURRENT__GET_USER']['CREATE']=='TRUE' ? 'checked' : ''; ?>" />
    					</th>
    					<th width="25" align="center" valign="middle" class="seperated">
    						<img id="giveRights_admin_delete_i" src="<?php echo $GLOBALS['CURRENT__GET_USER']['DELETE']=='TRUE' ? 'pictures/imgbtn_delete.gif' : 'pictures/checkbox.gif'; ?>" alt="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_delete"]; ?>" title="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_Img_a_delete_img"]; ?>" onClick="javascript:loadOrUnloadImage('giveRights_admin_delete_i', 'imgbtn_delete.gif');" />
    						<input type="hidden" id="giveRights_admin_delete" name="giveRights_admin_delete" value="<?php echo $GLOBALS['CURRENT__GET_USER']['DELETE']=='TRUE' ? 'checked' : ''; ?>" />
    					</th>
    					<th width="25" align="center" valign="middle" class="seperated">
    						<img id="giveRights_admin_change_i" src="<?php echo $GLOBALS['CURRENT__GET_USER']['CHANGE']=='TRUE' ? 'pictures/imgbtn_edit.gif' : 'pictures/checkbox.gif'; ?>" alt="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_change"]; ?>" title="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_Img_a_change_img"]; ?>" onClick="javascript:loadOrUnloadImage('giveRights_admin_change_i', 'imgbtn_edit.gif');" />
    						<input type="hidden" id="giveRights_admin_change" name="giveRights_admin_change" value="<?php echo $GLOBALS['CURRENT__GET_USER']['CHANGE']=='TRUE' ? 'checked' : ''; ?>" />
    					</th>
    				</tr>
    			</table>
    			</div>
    		</td>
    	</tr>
    </table>
    	<p style="margin : 3px;"></p>
    <table border="0" cellpadding="2" cellspacing="0" width="100%" class="InnerWebSiteTable">
    	<tr>
    		<td valign="top" align="left" bgcolor="<?php echo C_WEBSITE_MAINBACKGROUND ?>">
    			<a href="javascript:showHtmlThing(Array('divElRightList'));"><img src="pictures/bog_stock_contract.gif" alt="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_expand"]; ?>" border="0" title="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_showRights4"]; ?>" /></a>
    			<b><?php echo $GLOBALS["lang_dpg"]->str["lang_rights_ask_4"]; ?> &quot;<?php echo $GLOBALS['CURRENT__GET_GROUP']['NAME']; ?>&quot;</b>

    			<div id="divElRightList" align="left" style="margin-top:10px; display: <?php print empty($_GET['xGrp'])? 'none': 'block' ?>;">
    			<table id="tblEl01" border="0" cellpadding="5" cellspacing="0" width="100%" style="diplay:block;" class="InnerWebSiteTable">
    				<tr>
    					<th align="left" valign="middle" class="seperated">
    						<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_grp_right"]; ?> &quot;<?php echo $GLOBALS['CURRENT__GET_GROUP']['NAME']; ?>&quot;
    						(<input type="checkbox" value="1" name="giveRights_group_subgroups" style="margin: 0; padding: 0;" /> <?php echo $GLOBALS["lang_dpg"]->str["lang_rights_grp_subgrp"]; ?>)
    					</th>
    					<th width="25" align="center" valign="middle" class="seperated">
    						<img id="giveRights_group_create_i" src="<?php echo $GLOBALS['CURRENT__GET_RIGHTS']['CREATE']=='TRUE' ? 'pictures/imgbtn_create.gif' : 'pictures/checkbox.gif'; ?>" alt="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_create"]; ?>" title="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_Img_g_create_img"]; ?>" onClick="javascript:loadOrUnloadImage('giveRights_group_create_i', 'imgbtn_create.gif');" />
    						<input type="hidden" id="giveRights_group_create" name="giveRights_group_create" value="<?php echo $GLOBALS['CURRENT__GET_RIGHTS']['CREATE']=='TRUE' ? 'checked' : ''; ?>" />
    					</th>
    					<th width="25" align="center" valign="middle" class="seperated">
    						<img id="giveRights_group_delete_i" src="<?php echo $GLOBALS['CURRENT__GET_RIGHTS']['DELETE']=='TRUE' ? 'pictures/imgbtn_delete.gif' : 'pictures/checkbox.gif'; ?>" alt="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_delete"]; ?>" title="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_Img_g_delete"]; ?>" onClick="javascript:loadOrUnloadImage('giveRights_group_delete_i', 'imgbtn_delete.gif');" />
    						<input type="hidden" id="giveRights_group_delete" name="giveRights_group_delete" value="<?php echo $GLOBALS['CURRENT__GET_RIGHTS']['DELETE']=='TRUE' ? 'checked' : ''; ?>" />
    					</th>
    					<th width="25" align="center" valign="middle" class="seperated">
    						<img id="giveRights_group_change_i" src="<?php echo $GLOBALS['CURRENT__GET_RIGHTS']['CHANGE']=='TRUE' ? 'pictures/imgbtn_edit.gif' : 'pictures/checkbox.gif'; ?>" alt="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_change"]; ?>" title="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_Img_g_change"]; ?>" onClick="javascript:loadOrUnloadImage('giveRights_group_change_i', 'imgbtn_edit.gif');" />
    						<input type="hidden" id="giveRights_group_change" name="giveRights_group_change" value="<?php echo $GLOBALS['CURRENT__GET_RIGHTS']['CHANGE']=='TRUE' ? 'checked' : ''; ?>" />
    					</th>
    				</tr>
    			</table>
    				<p style="margin:3px;"></p>
    			<table id="tblEl02" border="0" cellpadding="5" cellspacing="0" width="100%" style="diplay:block;" class="InnerWebSiteTable">
    				<tr>
    					<th colspan="2" align="left" valign="middle" class="seperated">
    						<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_art_right"]; ?> &quot;<?php echo $GLOBALS['CURRENT__GET_GROUP']['NAME']; ?>&quot;
    					</th>
    					<th width="25" align="center" valign="middle" class="seperated">
    						&nbsp;
    					</th>
    					<th width="25" align="center" valign="middle" class="seperated">
    						&nbsp;
    					</th>
    				</tr>

                    <?php
                        $position = 1;
                        if ( !empty($_GET['xGrp']) ) {
                            $mysql_result = mysql_query("SELECT * FROM `dynpg_cms_images` WHERE `USERGROUP` = '".mysql_real_escape_string($_GET['xGrp'])."' ORDER BY `id` DESC");

                            while ( $mysql_row = mysql_fetch_array($mysql_result, MYSQL_ASSOC) ) {
                                $_rights_to_artilce = mysql_fetch_array(mysql_query("SELECT * FROM `dynpg_cms_images_rights` WHERE `PARENT` = 'ARTICLE' AND `SECTION` = '".mysql_real_escape_string($mysql_row['id'])."' AND `USERID` = '".mysql_real_escape_string($_GET['xUser'])."'"), MYSQL_ASSOC);
                    ?>

    				<tr>
    					<td width="20" align="center" valign="middle" class="seperated">
    						<?php echo dynpg_htmlentities_rigid($mysql_row['id'],ENT_COMPAT,true); ?>
                            <input type="hidden" id="giveRights_article_alias_<?php echo $position; ?>" name="giveRights_article_alias_<?php echo $position; ?>" value="<?php echo dynpg_htmlentities_rigid($mysql_row['id'],ENT_COMPAT,true); ?>" />
    					</td>
    					<td align="left" valign="middle" class="seperated">
    						<?php echo dynpg_htmlentities_rigid($mysql_row['NAME'],ENT_COMPAT,true); ?>
    					</td>
    					<td width="25" align="center" valign="middle" class="seperated">
    						<img id="giveRights_article_delete_i_<?php echo dynpg_htmlentities_rigid($mysql_row['id'],ENT_COMPAT,true); ?>" src="<?php echo $_rights_to_artilce['DELETE']=='TRUE' ? 'pictures/imgbtn_delete.gif' : 'pictures/checkbox.gif'; ?>" alt="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_delete"]; ?>" title="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_Img_a_delete"]; ?>" onClick="javascript:loadOrUnloadImage('giveRights_article_delete_i_<?php echo dynpg_htmlentities_rigid($mysql_row['id'],ENT_COMPAT,true); ?>', 'imgbtn_delete.gif');" />
    						<input type="hidden" id="giveRights_article_delete_<?php echo dynpg_htmlentities_rigid($mysql_row['id'],ENT_COMPAT,true); ?>" name="giveRights_article_delete_<?php echo dynpg_htmlentities_rigid($mysql_row['id'],ENT_COMPAT,true); ?>" value="<?php echo $_rights_to_artilce['DELETE']=='TRUE' ? 'checked' : ''; ?>" />
    					</td>
    					<td width="25" align="center" valign="middle" class="seperated">
    						<img id="giveRights_article_change_i_<?php echo dynpg_htmlentities_rigid($mysql_row['id'],ENT_COMPAT,true); ?>" src="<?php echo $_rights_to_artilce['CHANGE']=='TRUE' ? 'pictures/imgbtn_edit.gif' : 'pictures/checkbox.gif'; ?>" alt="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_change"]; ?>" title="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_Img_a_change"]; ?>" onClick="javascript:loadOrUnloadImage('giveRights_article_change_i_<?php echo dynpg_htmlentities_rigid($mysql_row['id'],ENT_COMPAT,true); ?>', 'imgbtn_edit.gif');" />
    						<input type="hidden" id="giveRights_article_change_<?php echo dynpg_htmlentities_rigid($mysql_row['id'],ENT_COMPAT,true); ?>" name="giveRights_article_change_<?php echo dynpg_htmlentities_rigid($mysql_row['id'],ENT_COMPAT,true); ?>" value="<?php echo $_rights_to_artilce['CHANGE']=='TRUE' ? 'checked' : ''; ?>" />
    					</td>
    				</tr>

                    <?php
                                $position++;
                            }
                        }
                    ?>

    			</table>
    			<input type="hidden" id="giveRights_UserId" name="giveRights_UserId" value="<?php echo $_GET['xUser']; ?>">
    			<input type="hidden" id="giveRights_GroupId" name="giveRights_GroupId" value="<?php echo $_GET['xGrp']; ?>">
    			<input type="hidden" id="giveRights_Positions" name="giveRights_Positions" value="<?php echo $position-1; ?>">

    			<p align="left" style="margin:5px 0px 10px 3px;"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_rights_select"]; ?></b>
    			<a href="javascript:doSelect('all');"><?php echo $GLOBALS["lang_dpg"]->str["lang_rights_all"]; ?></a> |
    			<a href="javascript:doSelect('delete');"><?php echo $GLOBALS["lang_dpg"]->str["lang_rights_just_del"]; ?></a> |
    			<a href="javascript:doSelect('change');"><?php echo $GLOBALS["lang_dpg"]->str["lang_rights_just_chg"]; ?></a></p>
    			</div>
    		</td>
    	</tr>
    </table>
    <p style="margin : 10px;"></p>
    <table border="0" cellpadding="2" cellspacing="0" width="100%" class="InnerWebSiteTable">
    	<tr>
    		<td valign="top" align="left" bgcolor="<?php echo C_WEBSITE_MAINBACKGROUND ?>">
    		  <input type="submit" name="saveRights" value="<?php echo $GLOBALS["lang_dpg"]->str["lang_rights_save"]; ?>" style="width: 250px; background-image: url(pictures/button_bg-long.gif); text-align: center;" class="ButtonStyleWhite" />
    		</td>
    	</tr>
    </table>
</form>